function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import * as echarts from "echarts/core";
import { PieChart } from "echarts/charts";
import { LabelLayout } from "echarts/features";
import { CanvasRenderer } from "echarts/renderers";
import { pie } from "@dftvue2-opentiny/vue-renderless/chart-pie/index";
import { pie as pie2, ring } from "@dftvue2-opentiny/vue-renderless/chart-pie/index";
import Core from "@dftvue2-opentiny/vue-chart-core";
import { defineComponent, $prefix } from "@dftvue2-opentiny/vue-common";
echarts.use([PieChart, LabelLayout, CanvasRenderer]);
var Pie = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartPie",
  data: function data() {
    this.chartHandler = pie;
    return {};
  }
}));
var version = "2.8.0";
Pie.install = function(Vue) {
  Vue.component(Pie.name, Pie);
};
Pie.version = version;
export {
  Pie as default,
  pie2 as pie,
  ring
};
